Name:		gtk-chtheme
Version:	0.3.1
Release:	%mkrel 17
Summary:	Utility to preview and change GTK 2 themes
Source0:	http://plasmasturm.org/code/%{name}/%{name}-%{version}.tar.bz2
Source1:	gtk.png
Patch1:		gtk-chtheme-0.3.1-fix-build-with-gtk.patch
Patch2:		gtk-chtheme-0.3.1-dont-strip-binary-too-early.patch
Patch3:		gtk-chtheme-0.3.1-replace_deprecated_GtkFunction.patch
Patch4:		gtk-chtheme-0.3.1-fix_linking.patch
URL:		http://plasmasturm.org/programs/gtk-chtheme/
Group:		Graphical desktop/GNOME
License:	GPLv2
BuildRequires:	libgtk+2-devel
BuildRequires:	imagemagick

%description
Gtk-chtheme allows you to change the Gtk+ 2.0 theme when not using GNOME.

%prep
%setup -q
%patch1 -p1 -b .gtk
%patch2 -p1 -b .strip
%patch3 -p0 -b .GtkFunction
%patch4 -p0 -b .linking

%build
%set_build_flags
%make_build PREFIX=%{_prefix} LDFLAGS="%{ldflags}"

%install
%make_install

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Change GTK-2.0 theme
Exec=%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;Utility;DesktopSettings;
EOF

# icons
cp %{SOURCE1} %{name}.png
mkdir -p %{buildroot}/%{_liconsdir}
convert %{name}.png -resize 48x48 %{buildroot}/%_liconsdir/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert %{name}.png -resize 32x32 %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert %{name}.png -resize 16x16 %{buildroot}/%{_miconsdir}/%{name}.png

# FDo icons
for size in 64x64 48x48 32x32 16x16; do
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/$size/apps;
convert %{name}.png -resize $size %{buildroot}/%{_iconsdir}/hicolor/$size/apps/%{name}.png;
done

%files
%doc ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.3.1-17.mga9
+ Revision: 1836578
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.3.1-16.mga8
+ Revision: 1512804
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.1-15.mga7
+ Revision: 1298105
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.3.1-14.mga6
+ Revision: 936542
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-13.mga5
+ Revision: 750557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-12.mga5
+ Revision: 679999
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.1-11.mga4
+ Revision: 505307
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.1-10.mga3
+ Revision: 352817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 27 2011 wally <wally> 0.3.1-9.mga1
+ Revision: 92158
- add patch to fix overlinking
- add patch to fix build with gtk >2.24
- fix desktop file name (mga#954)
- fix source tag

* Thu Feb 24 2011 ahmad <ahmad> 0.3.1-8.mga1
+ Revision: 59016
- imported package gtk-chtheme


* Fri Oct 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-7mdv2011.0
+ Revision: 587216
- Add patch to make it build with latest gtk (Fedora)
- Add patch to not strip the binary too early in order to have a useful debug
  package
- Clean spec and fix license tag

* Sun Jan 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-6mdv2010.1
+ Revision: 488309
- fix icon sizes (bug 56932)
- clean spec

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-5mdv2010.0
+ Revision: 429334
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.3.1-4mdv2009.0
+ Revision: 246678
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.1-2mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Jun 07 2007 Austin Acton <austin@mandriva.org> 0.3.1-2mdv2008.0
+ Revision: 36597
- add menu entry and icons
- fix description

* Tue Apr 24 2007 Thierry Vignaud <tv@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 17857
- new release
- Import gtk-chtheme



* Fri Nov 05 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2-2mdk
- add BuildRequires: libgtk+2-devel

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- initial release
